Loading...
Searching...
No Matches
Opm::AquiferFetkovich< TypeTag > Class Template Reference
Inheritance diagram for Opm::AquiferFetkovich< TypeTag >:

## Public Types

using | Base = AquiferAnalytical<TypeTag>
using | BlackoilIndices
using | ElementContext
using | Eval
using | FluidState
using | FluidSystem
using | IntensiveQuantities
using | RateVector
using | Scalar
using | Simulator
using | ElementMapper
Public Types inherited from Opm::AquiferAnalytical< TypeTag >
enum | { enableTemperature = getPropValue<TypeTag, Properties::EnableTemperature>() }
enum | { enableEnergy = getPropValue<TypeTag, Properties::EnableEnergy>() }
enum | { enableBrine = getPropValue<TypeTag, Properties::EnableBrine>() }
enum | { enableVapwat = getPropValue<TypeTag, Properties::EnableVapwat>() }
enum | { has_disgas_in_water = getPropValue<TypeTag, Properties::EnableDisgasInWater>() }
enum | { enableSaltPrecipitation = getPropValue<TypeTag, Properties::EnableSaltPrecipitation>() }
using | Simulator = GetPropType<TypeTag, Properties::Simulator>
using | Scalar = GetPropType<TypeTag, Properties::Scalar>
using | ElementContext = GetPropType<TypeTag, Properties::ElementContext>
using | FluidSystem = GetPropType<TypeTag, Properties::FluidSystem>
using | BlackoilIndices = GetPropType<TypeTag, Properties::Indices>
using | RateVector = GetPropType<TypeTag, Properties::RateVector>
using | IntensiveQuantities = GetPropType<TypeTag, Properties::IntensiveQuantities>
using | ElementMapper = GetPropType<TypeTag, Properties::ElementMapper>
using | Eval = DenseAd::Evaluation<Scalar, numEq>
using | FluidState
Public Types inherited from Opm::AquiferInterface< TypeTag >
using | FluidSystem = GetPropType<TypeTag, Properties::FluidSystem>
using | RateVector = GetPropType<TypeTag, Properties::RateVector>
using | Simulator = GetPropType<TypeTag, Properties::Simulator>
using | Scalar = GetPropType<TypeTag, Properties::Scalar>

## Public Member Functions

| AquiferFetkovich (const std::vector< Aquancon::AquancCell > &connections, const Simulator &simulator, const Aquifetp::AQUFETP_data &aqufetp_data)
void | endTimeStep () override
data::AquiferData | aquiferData () const override
template<class Serializer>
void | serializeOp (Serializer &serializer)
bool | operator== (const AquiferFetkovich &rhs) const
Public Member Functions inherited from Opm::AquiferAnalytical< TypeTag >
| AquiferAnalytical (const int aqID, const std::vector< Aquancon::AquancCell > &connections, const Simulator &simulator)
void | computeFaceAreaFraction (const std::vector< Scalar > &total_face_area) override
Scalar | totalFaceArea () const override
void | initFromRestart (const data::Aquifers &aquiferSoln) override
void | initialSolutionApplied () override
void | beginTimeStep () override
void | addToSource (RateVector &rates, const unsigned cellIdx, const unsigned timeIdx) override
std::size_t | size () const
template<class Serializer>
void | serializeOp (Serializer &serializer)
bool | operator== (const AquiferAnalytical &rhs) const
Public Member Functions inherited from Opm::AquiferInterface< TypeTag >
| AquiferInterface (int aqID, const Simulator &simulator)
template<class Context>
void | addToSource (RateVector &rates, const Context &context, const unsigned spaceIdx, const unsigned timeIdx)
int | aquiferID () const

## Static Public Member Functions

static AquiferFetkovich | serializationTestObject (const Simulator &simulator)

## Protected Member Functions

void | assignRestartData (const data::AquiferData &xaq) override
Eval | dpai (int idx)
Scalar | aquiferPressure ()
void | calculateAquiferConstants () override
void | calculateInflowRate (int idx, const Simulator &simulator) override
void | calculateAquiferCondition () override
virtual Scalar | aquiferDepth () const override
Protected Member Functions inherited from Opm::AquiferAnalytical< TypeTag >
Scalar | gravity_ () const
int | compIdx_ () const
void | initQuantities ()
void | updateCellPressure (std::vector< Eval > &pressure_water, const int idx, const IntensiveQuantities &intQuants)
void | updateCellPressure (std::vector< Scalar > &pressure_water, const int idx, const IntensiveQuantities &intQuants)
void | initializeConnectionMappings ()
void | initializeConnectionDepths ()
Scalar | calculateReservoirEquilibrium ()
Protected Member Functions inherited from Opm::AquiferInterface< TypeTag >
bool | co2store_or_h2store_ () const
int | phaseIdx_ () const

## Protected Attributes

Aquifetp::AQUFETP_data | aqufetp_data_
Scalar | aquifer_pressure_
Protected Attributes inherited from Opm::AquiferAnalytical< TypeTag >
const std::vector< Aquancon::AquancCell > | connections_
std::vector< Scalar > | faceArea_connected_
std::vector< int > | cellToConnectionIdx_
std::vector< Scalar > | cell_depth_
std::vector< Scalar > | pressure_previous_
std::vector< Eval > | pressure_current_
std::vector< Eval > | Qai_
std::vector< Scalar > | alphai_
Scalar | Tc_ {}
Scalar | pa0_ {}
std::optional< Scalar > | Ta0_ {}
Scalar | rhow_ {}
Scalar | total_face_area_ {}
Scalar | area_fraction_ {Scalar{1}}
Eval | W_flux_
bool | solution_set_from_restart_ {false}
bool | has_active_connection_on_proc_ {false}
Protected Attributes inherited from Opm::AquiferInterface< TypeTag >
const int | aquiferID_ {}
const Simulator & | simulator_

## Additional Inherited Members

Static Public Attributes inherited from Opm::AquiferAnalytical< TypeTag >
static constexpr int | numEq = BlackoilIndices::numEq

## Member Function Documentation

## aquiferData()

template<typename TypeTag>

data::AquiferData Opm::AquiferFetkovich< TypeTag >::aquiferData | ( |  | ) | const

inline override virtual

Implements Opm::AquiferInterface< TypeTag >.

## aquiferDepth()

template<typename TypeTag>

virtual Scalar Opm::AquiferFetkovich< TypeTag >::aquiferDepth | ( |  | ) | const

inline override protected virtual

Implements Opm::AquiferAnalytical< TypeTag >.

## assignRestartData()

template<typename TypeTag>

void Opm::AquiferFetkovich< TypeTag >::assignRestartData | ( | const data::AquiferData & | xaq | ) |

inline override protected virtual

Implements Opm::AquiferAnalytical< TypeTag >.

## calculateAquiferCondition()

template<typename TypeTag>

void Opm::AquiferFetkovich< TypeTag >::calculateAquiferCondition | ( |  | ) |

inline override protected virtual

Implements Opm::AquiferAnalytical< TypeTag >.

## calculateAquiferConstants()

template<typename TypeTag>

void Opm::AquiferFetkovich< TypeTag >::calculateAquiferConstants | ( |  | ) |

inline override protected virtual

Implements Opm::AquiferAnalytical< TypeTag >.

## calculateInflowRate()

template<typename TypeTag>

void Opm::AquiferFetkovich< TypeTag >::calculateInflowRate | ( | int | idx,
|  | const Simulator & | simulator )

inline override protected virtual

Implements Opm::AquiferAnalytical< TypeTag >.

## endTimeStep()

template<typename TypeTag>

void Opm::AquiferFetkovich< TypeTag >::endTimeStep | ( |  | ) |

inline override virtual

Implements Opm::AquiferInterface< TypeTag >.

The documentation for this class was generated from the following file:

- opm/simulators/aquifers/AquiferFetkovich.hpp